News

Firefox updated its security policy for web plugins

16.03.2020

Last week, Firefox released a new version (version 74), changing the security policy of web plugins.

This change affects the web plugins that come with the ID-card software, which are necessary for authenticating and digitally signing in e-services with an ID-card.

In order to successfully authenticate and give digital signatures in the e-services with a Firefox web browser, you need to use at least version 20.01 of the ID-card software and restart your web browser.

This change concerns users who use the Firefox web browser to authenticate and give digital signatures in e-services with an ID-card. Authenticating and digitally signing with an ID-card works regularly in other web browsers.

Read more about the change in Firefox here.


ASK FOR HELP

If you didn't find an answer to your question, send it to our team.



  • See instructions
  • Please estimate your ability to use the computer, so that we can provide you with the best guidance

         

  • Verification failed

How can we improve the article and be more helpful?
Send Close